members.dev
Benefits

Get Benefit

Returns a Benefit by ID

GET
/v1/benefits/{benefit_id}

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

benefit_id*string

Header Parameters

Members-Context?|

Organization id (org_…) or short id. Required when no portal session bearer token is sent.

Response Body

application/json

application/json

curl -X GET "https://api.members.dev/portal/v1/benefits/string"
{
  "id": "ben_01KKSMB47VYGW97GFE67VGDK7M",
  "short_id": "string",
  "benefit_type": "custom",
  "name": "Premium Support",
  "description": "24/7 priority support access",
  "status": "Active",
  "portal": {
    "is_member_visible": true
  },
  "default_value": "default",
  "state_transitions": {
    "archived_at": {}
  },
  "created_at": null,
  "updated_at": null
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}